# Biography

Conductor and composer Jesse Brault studied orchestral conducting at the Juilliard School with Maestros Alan Gilbert and James Ross. After making his New York debut at Alice Tully Hall in 2015, he conducted semesterly concerts with the Juilliard Conductors' Lab Orchestra. During his studies, he worked with such distinguished conductors as Bernard Haitink, Gianandrea Noseda, Fabio Luisi, David Zinman, and James Gaffigan.

In 2019, Brault made his Carnegie Hall debut conducting a performance of John Adams' _Chamber Symphony_ with Ensemble Connect. He also led the Orlando Philharmonic, accompanying their music director Eric Jacobsen in a performance of Dvorak's _Silent Woods_. He has assisted at orchestras in the United States and Europe, including Boston Symphony, St. Louis Symphony, New Jersey Symphony, and the NDR Elbphilharmonie Orchestra.

Brault's compositions have been performed and recorded across the United States and Europe. Specializing in works for solo instruments and chamber ensembles, recent works include three projects sponsored by Musaics of the Bay of San Francisco: _Capriccioso_, a work inspired by Carel Fabritius' painting _The Goldfinch_ and recorded by recorderist Lucie Horsch, violinist Tosca Opdam, and harpist Anneleen Schuitemaker at the Mauritshuis in The Hague; _Near, Under, Far_, recorded in New York by cellist Gabriel Cabezas; and _Arcadia_, recorded in Berlin by violinist Stephen Waarts and pianist Julia Hamos. In 2018, Brault composed _Sonata Shambhala_, a large-scale piano work based on the secular Buddhist teachings of Chogyam Trungpa and premiered by pianist Benjamin Hochman. Brault has also collaborated with Concerts for Compassion, a violin duo based in New York who premiered his _Conversations_ in 2019. Brault's music has been heard on various radio stations in New York, San Francisco, and the Netherlands.

While his main passion is immersing himself in the standard repertoire, Brault also has an affinity for conducting contemporary music. He appeared at National Sawdust in 2018 leading newly composed opera scenes by Joshua Getman and Sam Wu, and also at Juilliard's _Focus!_ 2016 and 2018 festivals, conducting music of Milton Babbitt and Liu Yuhui. In 2018, he conducted Sofia Gubaidulina's _Bassoon Concerto_ with solo bassoonist Frank Morelli. In 2019, Brault co-founded **Red Dog Ensemble**, a New York based chamber group with which he recorded _Neon and Oak_ (released March 2023), an album of all new works by emerging composers.

Growing up in rural Wisconsin, Brault began his studies as a trombonist and pianist. As a young composer, he garnered performances of his music in such places as the Aspen Music Festival and Boston's Faneuil Hall. He later attended St. Olaf College in Minnesota where he studied music theory and composition, graduating _summa cum laude_ . While there, he began his conducting career, organizing a performance of Mozart's _Jupiter_ Symphony, and later leading the St. Olaf Orchestra in touring performances of Debussy's "Fêtes" from _Trois Nocturnes_. As both conductor and composer, he led performances of his piano concerto _Illuminatio_ with the St. Olaf Band throughout the United States. His teachers at St. Olaf included Steven Amundson, Timothy Mahr, and Justin Merritt.

Also enjoying sharing music with younger students, Brault was the conductor of the first Nord Anglia Performing Arts Festival for Europe and the Middle East in Bratislava, Slovakia, in 2019. There he led orchestras of young musicians aged ten to eighteen from two continents, bringing together students of many backgrounds toward a common musical cause.

Outside of music, Brault enjoys a number of pursuits, including computer programming and linguistics. He currently resides in Berlin, Germany.
