---
description: Information about Java, TypeScript, and web developer Jesse Brault.
---
# Jesse Brault: Software Developer

## Languages
- Java (5 years), Groovy (5 years), Kotlin (2 years)
- TypeScript (4 years), JavaScript (5 years), HTML, CSS/SCSS
- Lua, Ruby, Bash

## Frameworks, Libraries and Technologies
- Spring, Spring Boot, Gradle, JUnit, IntelliJ Idea
- NodeJS, React, Express, Prisma, GraphQL, VSCode
- MySQL, SQLite

## Programming Interests and Skills
- Web development
- Test-driven development
- Continuous integration and deployment
- REST protocol
- Dependency injection
- Programming languages 
- Compilers
- Git, Github
- ORMs
- Open-source software
- Creating tools and plugins

## Personal Projects
All of my software projects are hosted publicly on GitHub. Please [contact](/contact) me if you have any inquiries related to them or my work in general.

### JVM

- [**groowt**, or **Groovy Web Tools**](https://github.com/JesseBrault0709/groowt): A set of libraries and CLI tools for facilitating web-development in Groovy, inspired by Ruby on Rails and Grails. Includes a custom templating language *Web View Components* inspired by ReactJS and Ruby's ERB templates, with a compiler developed with the ANTLR parser generator. 2024–present. Java, Groovy, Kotlin.
- [**ssg**, or **Static Site Generator**](https://github.com/JesseBrault0709/ssg): An extensible CLI application for statically generating websites from text files and other input. I created this out of a need for a static site generator in which I could embed Groovy without all the hassle of a full-size server-oriented framework such as Grails. So far, I am using it for all my personal sites (including this very site), and in the past has been used elsewhere. 2023–present. Groovy, Java.
- [**jbarchiva**](https://github.com/JesseBrault0709/jbarchiva): A Gradle plugin to facilitate easy access to my personal Maven repository at [archiva.jessebrault.com](https://archiva.jessebrault.com/). 2022-present.
- [**fsm**](https://github.com/JesseBrault0709/fsm): A set of easily configurable finite state machines with a simple domain-specific language, also featuring Groovy integration. Java, Groovy. 2022–2023.

### TypeScript
- [**jbci**, or **Jesse Brault Continuous Integration**](https://github.com/JesseBrault0709/jbci): A CI program written in TypeScript which listens to GitHub webhooks and then executes pre-configured shell scripts based on the webhook payload, mainly used to update my websites by simple pushes to my various GitHub repositories. 2022–present.
- [**jb-api**](https://github.com/JesseBrault0709/jb-api): A backend for my personal websites which listens for JSON "contact" requests, validates them, and sends mail to personal e-mail addresses. 2022–present.
- [**Meals Made Easy**](https://github.com/JesseBrault0709/MealsMadeEasy): A fully-functioning meal-planning web-app developed during my time in _Co.Lab | You Belong in Tech_. I worked closely with a product manager and designer to make the project come alive. It is built with TypeScript, React, Redux, and SCSS. 2021.

### Web Sites
- [Jesse Brault](https://github.com/JesseBrault0709/jb-ssg-site): Where you are right now. It is made using the above-described Groowt and Ssg libraries/utilities. 2024–present.
- [Red Dog Ensemble](https://github.com/JesseBrault0709/reddog): A website for a contemporary classical music ensemble I  co-founded in New York City, made using the above-mentioned Ssg. 2023. <a href="https://reddogensemble.com/" target="_blank">Visit site.</a>

## Soft Skills
- Cooperation 
- Team player
- Leadership
- Agile development method
- Self-discipline
- Quick learning
- Proactive spirit
- Cross-functional teamwork
- Embracing of team diversity
