---
description: Online résumé of conductor and composer Jesse Brault.
---
# Résumé

For an official up-to-date résumé/CV, please [contact](/contact) me directly.

## Education
- **Master of Music**, Orchestral Conducting. The Juilliard School. 2015–2018.
  - Private Teachers: Alan Gilbert, James Ross
  - Guest teachers: Bernard Haitink, Gianandrea Noseda, David Zinman, Fabio Luisi, James Gaffigan.
  - Relevant coursework: score reading, counterpoint, harmony, history.
- **Bachelor of Music**, Theory and Composition. St. Olaf College. *Summa cum laude*. 2009–2013.
  - Private Teachers: Steven Amundson, Timothy Mahr, Justin Merritt.
  - Relevant coursework: composition, theory, history, analysis.

## Conducting Experience
- **Private Chamber Orchestra Concert**, at the Juilliard School. December 2023.
  - Conducted own work *Spirit Travels*
- **NDR Elbphilharmonie Orchester**: Assistant conductor and off-stage brass conductor for Alan Gilbert. June 2022.
  - Strauss: *An Alpine Symphony*
- **Boston Symphony Orchestra**: Assistant conductor for Yuan Chang. January 2020.
  - Chihchun Chi-sun Lee: *Formosan Triptych*
  - Mozart: Piano concerto no. 25
  - Tchaikovsky: Symphony no. 3
- **New Jersey Symphony Orchestra**: Assistant conductor for Xian Zhang. December 2019.
  - Anna Clyne: *Within Her Arms*
  - Rachmaninoff: Piano concerto no. 3
  - Dvořák: Symphony no. 8
- **St. Louis Symphony Orchestra**: Assistant conductor for Andrew Grams. November 2019.
  - Tchaikovsky: *The Nutcracker*
- **Oedipus in the District**: Music director for a contemporary one-act opera performed twice at The Tank, New York, NY. October 2019.
  - Josh Getman: *Oedipus in the District*
- **Red Dog Ensemble**: Conductor and co-founder. Inaugural recording of album *Neon and Oak* at Avaloch Farm Institute, Boscawen, New Hampshire. October 2019.
  - Jon Cziner: *flowers of fire*
  - Tom Morrison: *Neon and Oak*
  - Sato Matsui: *The Imperfect Storm*
  - Will Stackpole: *L'abîme*
- **Nord Anglia Performing Arts Festival**: Bratislava, Slovakia. Guest conductor. March 2019.
  - Programmed music for two youth orchestras (ages 10–18) and a combined orchestra/chorus work
  - Prepared parts for distribution to students in advance of festival
  - Worked closely with festival staff during planning and execution stages
  - Led and conducted all rehearsals and final concert
- **Ensemble Connect**: Guest conductor. March 2019.
  - John Adams: *Chamber Symphony*
- **National Youth Symphony**: Prep-conductor for side-by-side with Daniel Harding and Royal Concertgebouw Orchestra.
  February 2019.
  - Schumann: *Manfred Overture*
- **Graduation Recital**, The Juilliard School. May 2018.
  - Sibelius: *Valse triste*
  - Mahler: Symphony no. 4 (arr. Stein)
- **Orlando Philharmonic**: Assistant conductor for Eric Jacobson. October 2017.

## Composition Performances
- *Spirit Travels*, at The Juilliard School. December 2023.
- *Capriccioso*, played on-air by NPO Klassiek (Netherlands). [Listen here at 24:20](https://www.npoklassiek.nl/uitzendingen/podium/cb3c4d56-6c59-4100-8a92-b6081daf9719/2022-03-19-podium)
- *Capriccioso*, at the Mauritshuis, The Hague, Netherlands. Recorded February 2022 and released live in March 2022.
- *Near, Under, Far*, online performance by cellist Gabriel Cabezas from New York, New York. October 2021.
- *Arcadia*, online performance by Julia Hamos and Stephen Waarts from Berlin, Germany. November 2020.
- *Conversations*, performed by Jocelyn Zhu and Mariella Haubs on WQXR, New York, New York. April 2019.
- *Conversations*, world premiere in New York, New York by Jocelyn Zhu and Mariella Haubs. April 2019.
- *Sonata Shambhala*, premieres at Marlboro College, Vermont; Seattle, Washington; and Camphill Ghent, New York;
  by Benjamin Hochman. November 2018.

## Album
- **Neon and Oak**: recorded with [Red Dog Ensemble](https://reddogensemble.com/) and released in March 2023. Co-edited with Will Stackpole. Features four new works by emerging composers. See [here](https://reddogensemble.com/album.html) for more information. 

## Teaching Experience
- **Juilliard Pre-College**: Substitute teacher for music theory, counterpoint, and ear training. 2018–2020.
- **Fordham University**: Adjunct professor and Fordham Lincoln Center Chamber Orchestra conductor. 2018–2019. 
- **Juilliard Music Advancement Program**: Substitute teacher for music theory, ear training, and history. 2018–2019.
- **New York Youth Symphony**: Substitute teacher for private composition lessons. 2019.
- **St. Olaf College**: Teaching assistant for Steven Amundson, music theory. 2010–2013.
- **Private Tutor**, St. Olaf College: for ear training. 2011–2013.

## Instruments
- Trombone
- Piano
- Organ
