---
title: Sonata Shambhala
slug: sonata-shambhala
instrumentation: For solo piano.
premiere: November 11, 2018, at Marlboro College, Brattleboro, Vermont.
score: https://jessebrault.nyc3.cdn.digitaloceanspaces.com/scores/sonata-shambhala.pdf
externalLinks:
  'Benjamin Hochman Discusses Sonata Shambhala': https://www.youtube.com/watch?v=leyqMdGyr8Q
description: Written for Benjamin Hochman and based upon The Sacred Path of the Warrior by Chögyam Trungpa, Sonata Shambhala meditates upon the books themes of personal spiritual development.
shortInfo: Based upon <em>The Sacred Path of the Warrior</em> by Chögyam Trungpa.
date: 2018-09-01
categories:
  - Solo
---
This work is a musical response to _Shambhala: The Sacred Path of the Warrior_ by Chögyam Trungpa,
a book which was recommended to me by a dear family-relative of mine in the spring of 2017. 
At the time, I was in a routine involving waking up very early in the morning and reading 
by the morning sunlight until it was time for breakfast. Reading the words of this book 
in such a setting was deeply inspiring, and it was not long after that I proposed the idea of 
composing an extended solo piano piece in reflection of the book to my dear friend Benjamin Hochman. 
Over a year's worth of labor later, I produced the score for him, and Mr. Hochman premiered 
the work at Marlboro College near Brattleboro, VT, on November 11, 2018, with performances following 
in Seattle, WA, and Ghent, NY. Around this time, Rinchen Llamo, a friend of Mr. Hochman and a 
former-student of Trungpa himself, sponsored the final labor of composing this piece, 
and I am deeply grateful to her for her support.

In this work, I have not sought to depict the teachings of the book literally in the music,
but rather to reflect musically my own feelings, experiences, and thoughts upon encountering 
and meditating upon them. Below are quotes from the book that I found particularly relevant 
to each movement after composing the work as a whole:

I. _Kingdom Visions (Chaconne)_

> When you awaken your heart, you find, to your surprise, that your heart is empty. 
> You find that you are looking into outer space. 
> What are you, who are you, where is your heart? ... 
> If you search for your awakened heart, if you put your hand through your rib cage 
> and feel for it, there is nothing there except for tenderness. You feel sore and soft,
> and if you open your eyes to the rest of the world, you feel tremendous sadness. ...
> It occurs because your heart is completely exposed. ...
> For the warrior, this experience of sadness gives birth to fearlessness.
> (pp. 31–32)

II. _Warrior's Path_

> The Great Eastern Sun is a rising sun ... it represents the dawning, or awakening of human dignity—
> the rising of human warriorship. It is based on celebrating life. ... It is based on seeing that 
> there is a natural source of radiance and brilliance in the world—
> which is the innate wakefulness of human beings. (pp. 43–45)

III. _Pilgrimage – Ascent – Kingdom_
> That mind of fearfulness<br />
> Should be put in the cradle of loving-kindness<br />
> And suckled with the profound and brilliant milk of eternal doubtlessness.<br />
> In the cool shade of fearlessness,<br />
> Fan it with the fan of joy and happiness.<br />
> When it grows older,<br />
> With various displays of phenomena,<br />
> Lead it to the self-existing playground.<br />
> When it grows older still,<br />
> In order to promote primordial confidence,<br />
> Lead it to the archery range of warriors.<br />
> When it grows older still,<br />
> To awaken primordial self-nature,<br />
> Let it see the society of men<br />
> Which possess beauty and dignity.<br />
> Then the fearful mind<br />
> Can change into the warrior’s mind,<br />
> And that eternally youthful confidence<br />
> Can expand into space without beginning or end.<br />
> At that point it sees the Great Eastern Sun.<br />
> (p. 91)
